
/*
 * This file was automatically generated using swig_doc.py.
 *
 * Any changes to it will be lost next time it is regenerated.
 */




%feature("docstring") gr::fcdproplus::fcd "Funcube Dongle source block.

This class provides a Funcube Dongle source block by wrapping the USB audio interface and the USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

Return a shared_ptr to a new instance of fcd_source_c.

This is effectively the public constructor. To avoid accidental use of raw pointers, fcd_source_c's constructor is private. fcd_make_source_c is the public interface for creating new instances.

Args:
    device_name : "

%feature("docstring") gr::fcdproplus::fcd::set_freq "Set frequency with Hz resolution.

This is a convenience function that uses float parameter in order to allow using engineering notation in GRC."

%feature("docstring") gr::fcdproplus::fcd::set_lna_gain "Set LNA gain.

Set the LNA gain in the FCD. Valid range is -5 to



By default the LNA gain is set to 20 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain."

%feature("docstring") gr::fcdproplus::fcd::set_mixer_gain "Set mixer gain.

Set the mixer gain in the FCD. Valid values are +4 and +12 dB.


By default the mixer gain is set to +12 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain."

%feature("docstring") gr::fcdproplus::fcd::set_freq_corr "Set new frequency correction.

Version 1.1 FCDs (S/N 810 or later) need a correction of -12 ppm. Earlier FCDs need roughly -120 ppm (default for gr-fcd).


Ref:"

%feature("docstring") gr::fcdproplus::fcd::set_dc_corr "Set DC offset correction.

Set DC offset correction in the device. Default is 0.0."

%feature("docstring") gr::fcdproplus::fcd::set_iq_corr "Set IQ phase and gain balance.

Set IQ phase and gain balance in the device. The default values are 0.0 for phase and 1.0 for gain."

%feature("docstring") gr::fcdproplus::fcd::make "Funcube Dongle source block.

This class provides a Funcube Dongle source block by wrapping the USB audio interface and the USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

Return a shared_ptr to a new instance of fcd_source_c.

This is effectively the public constructor. To avoid accidental use of raw pointers, fcd_source_c's constructor is private. fcd_make_source_c is the public interface for creating new instances.

Args:
    device_name : "

%feature("docstring") gr::fcdproplus::fcd_control "Funcube Dongle control block.

This class provides a Funcube Dongle control block by wrapping th USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

"

%feature("docstring") gr::fcdproplus::fcd_control::set_freq "Return a shared_ptr to a new instance of fcd_source_c.

This is effectively the public constructor. To avoid accidental use of raw pointers, fcd_source_c's constructor is private. fcd_make_source_c is the public interface for creating new instances.


Set frequency with Hz resolution. 
This is a convenience function that uses float parameter in order to allow using engineering notation in GRC."

%feature("docstring") gr::fcdproplus::fcd_control::set_lna_gain "Set LNA gain.

Set the LNA gain in the FCD. Valid range is -5 to



By default the LNA gain is set to 20 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain."

%feature("docstring") gr::fcdproplus::fcd_control::set_mixer_gain "Set mixer gain.

Set the mixer gain in the FCD. Valid values are +4 and +12 dB.


By default the mixer gain is set to +12 dB and this is a good value for most cases. In noisy areas you may try to reduce the gain."

%feature("docstring") gr::fcdproplus::fcd_control::set_freq_corr "Set new frequency correction.

Version 1.1 FCDs (S/N 810 or later) need a correction of -12 ppm. Earlier FCDs need roughly -120 ppm (default for gr-fcd).


Ref:"

%feature("docstring") gr::fcdproplus::fcd_control::set_dc_corr "Set DC offset correction.

Set DC offset correction in the device. Default is 0.0."

%feature("docstring") gr::fcdproplus::fcd_control::set_iq_corr "Set IQ phase and gain balance.

Set IQ phase and gain balance in the device. The default values are 0.0 for phase and 1.0 for gain."

%feature("docstring") gr::fcdproplus::fcd_control::make "Funcube Dongle control block.

This class provides a Funcube Dongle control block by wrapping th USB HID control interface of the Funcube Dongle into one convenient source block.


The Funcube Dongle needs to have firmware 18f or later for the control interface to work properly. As of early 2011, FCDs still come with firmware 18b. You can use qthid 2.2 (not 3) to upgrade the firmware:

Constructor Specific Documentation:

"

%feature("docstring") gr::fcdproplus::fcdpp_control "

Constructor Specific Documentation:

"

%feature("docstring") gr::fcdproplus::fcdpp_control::set_freq "Sets the frequency .

Sets the frequency of the Funcube Dongle with Hz resolution"

%feature("docstring") gr::fcdproplus::fcdpp_control::set_lna "Switches the LNA on/off."

%feature("docstring") gr::fcdproplus::fcdpp_control::set_mixer_gain "Switches mixer gain onf/off."

%feature("docstring") gr::fcdproplus::fcdpp_control::set_if_gain "Set If gain."

%feature("docstring") gr::fcdproplus::fcdpp_control::make "

Constructor Specific Documentation:

"

%feature("docstring") gr::fcdproplus::fcdproplus "Funcube Pro+ Dongle source block.

This class provides a soure block for the Funcube Pro+ Dongle by wrapping the alsa audio interface and the USB control interface of the Funcube Dongle into one convenient source block. The hadware audio device is autodetected by the card name. If more than one Pro+ are connected it takes the first card. The block was tested with firmware version 20.3

Constructor Specific Documentation:

Return a shared_ptr to a new instance of fcdproplus::fcdproplus.

To avoid accidental use of raw pointers, fcdproplus::fcdproplus's constructor is in a private implementation class. fcdproplus::fcdproplus::make is the public interface for creating new instances.

Args:
    device_name : 
    unit : "

%feature("docstring") gr::fcdproplus::fcdproplus::set_freq "Set frequency with resolution defined by unit.

Sets the frequency of the Funcube Dongle with Hz or Khz resolution depending on the unit paramater ( 1: Hz , 1000 Khz ) applying the frequency correction set by set_freq_corr()."

%feature("docstring") gr::fcdproplus::fcdproplus::set_lna "Switches the LNA on/off."

%feature("docstring") gr::fcdproplus::fcdproplus::set_mixer_gain "Switches mixer gain onf/off."

%feature("docstring") gr::fcdproplus::fcdproplus::set_freq_corr "Set new frequency correction.

Funcube recommends 0 for the Pro+.


Ref:"

%feature("docstring") gr::fcdproplus::fcdproplus::set_if_gain "Set If gain."

%feature("docstring") gr::fcdproplus::fcdproplus::make "Funcube Pro+ Dongle source block.

This class provides a soure block for the Funcube Pro+ Dongle by wrapping the alsa audio interface and the USB control interface of the Funcube Dongle into one convenient source block. The hadware audio device is autodetected by the card name. If more than one Pro+ are connected it takes the first card. The block was tested with firmware version 20.3

Constructor Specific Documentation:

Return a shared_ptr to a new instance of fcdproplus::fcdproplus.

To avoid accidental use of raw pointers, fcdproplus::fcdproplus's constructor is in a private implementation class. fcdproplus::fcdproplus::make is the public interface for creating new instances.

Args:
    device_name : 
    unit : "